---
title: Tax document
slug: apis/accounts/account-mgmt-apis/get-a-specific-tax-document
description: Retrieve a specific tax document PDF using GET /core/v1/dda/accounts/{accountnumber}/tax-documents/{id}, providing document details.
icon: {"apiMethod":"GET"}
docTags: 
createdAt: 2025-05-07T05:52:17.203Z
---

## API reference

Returns a PDF of the requested tax document in raw format using the document ID returned from the [Tax document list](docId\:T5K0QeW58PeTTey4QlG2j) call.

:::hint{type="warning"}
**IMPORTANT**
Only pull documents as needed. If you want to pull a large number of documents, speak to your Relationship Manager.
:::

:::hint{type="info"}
The IRS requires Cross River to provide account holders with an IRS Form 1099 for earnings equal to or greater than $10.00, per taxpayer identification number (TIN). Should the customer have more than one account, the system generates a 1099 for*each&#x20;*&#x61;ccount if the earnings of *all&#x20;*&#x61;ccounts total $10.00 or more.
:::

:::ApiMethodV2
```json
{
  "name": "Endpoint: /core/v1/dda/accounts/{accountNumber}/tax-documents/{id}",
  "method": "GET",
  "url": "https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/tax-documents/{id}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "gXSVKH6kU2vtj4T65tp6d",
        "language": "curl",
        "code": "curl --location 'https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d' \\\n--header 'Authorization: Bearer <token>'",
        "customLabel": ""
      },
      {
        "id": "nHsfnXCU1l_Sk4iizHwfG",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d',\n  'headers': {\n    'Authorization': 'Bearer <token>'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "6UhjY_y2FPQrsDLln0A2T",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {\n  'Authorization': 'Bearer <token>'\n}\nconn.request(\"GET\", \"/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "HUeUBrcfjl2HqdbSP4dpM",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Authorization\"] = \"Bearer <token>\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "a9v7Tv5h_RpJ-1NxfiO-Z",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/dda/accounts/2203250853/tax-documents/1f7e9138-9300-4c83-b911-715a53ff0f9d\"\n  method := \"GET\"\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, nil)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Authorization\", \"Bearer <token>\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "a9v7Tv5h_RpJ-1NxfiO-Z"
  },
  "results": {
    "languages": [
      {
        "id": "6uF2P2J461OLOkqtKa6JG",
        "language": "200",
        "customLabel": "",
        "code": "RETURNS A PDF"
      }
    ],
    "selectedLanguageId": "6uF2P2J461OLOkqtKa6JG"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Number of the customer's account that earns tax-reportable income",
        "children": []
      },
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The document ID returned in a GET tax documents query for the specific desired document.",
        "": "The document ID returned in a GET tax documents query for the specific desired document."
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "PDF",
      "kind": "optional",
      "type": "string",
      "description": "The response contains the actual PDF of the requested tax document in raw format."
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-corev1ddaaccountsaccountnumbertax-documen",
  "legacyHash": "dXh1ny_Zq8h1hRfFlmI_O"
}
```
:::

